%define upstream_name    Chemistry-MolecularMass
%define upstream_version 0.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Perl extension for calculating
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Chemistry/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
Chemistry::MolecularMass is an Object Oriented Perl module for calculating
molcular mass of chemical compounds implemented with Perl and C.

%prep
%setup -q -n Chemistry

%build
cd MolecularMass/
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
cd MolecularMass/
%make test

%install
cd MolecularMass/
%makeinstall_std

%files
%doc MolecularMass/MANIFEST MolecularMass/README MolecularMass/Changes
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.100.0-11.mga6
+ Revision: 1023834
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.100.0-10.mga6
+ Revision: 956853
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 0.100.0-9.mga6
+ Revision: 844038
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-8.mga5
+ Revision: 745182
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-7.mga5
+ Revision: 683869
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.100.0-6.mga5
+ Revision: 630865
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.100.0-5.mga4
+ Revision: 524750
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.100.0-4.mga4
+ Revision: 431376
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-3.mga3
+ Revision: 364170
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.100.0-2.mga3
+ Revision: 250318
- rebuild for perl 5.16

* Wed Dec 07 2011 kharec <kharec> 0.100.0-1.mga2
+ Revision: 178327
- imported package perl-Chemistry-MolecularMass

